Summary: A utility which lists open files on a Linux/UNIX system
Name: lsof
Version: 4.82
Release: 4%{?dist}
License: zlib
Group: Development/Debuggers

# lsof contains licensed code that we cannot ship.  Therefore we use
# upstream2downstream.sh script to remove the code before shipping it.
#
# The script you can found in CVS or download from:
# http://cvs.fedoraproject.org/viewcvs/rpms/lsof/devel/upstream2downstream.sh
#
%define lsofrh lsof_%{version}-rh
Source0: %{lsofrh}.tar.bz2
URL: ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libselinux-devel

# 184338 - allow lsof access nptl threads
Patch1: lsof_4.81-threads.patch
# Backport of upstream patch
Patch2: lsof_4.83A-selinux-typo.patch
# 671480 - [RFE] Ability to exclude a file descriptors corresponding to a particular file system
Patch3: lsof_4.85C-exempt-filesystem.patch
# 747375 - multiple occurrence of "+|-e" parameter is ignored
Patch4: lsof_4.85-multi-e-option.patch
# 795799 - lsof fails to suppress warning messages if -b -w options are used
# and some nfs volume mounted
Patch5: lsof_4.82-nfs-warn.patch

%description
Lsof stands for LiSt Open Files, and it does just that: it lists
information about files that are open by the processes running on a
UNIX system.

%prep
%setup -q -n %{lsofrh}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
LSOF_VSTR=2.6.16 LINUX_BASE=/proc ./Configure -n linux

make DEBUG="$RPM_OPT_FLAGS -fno-strict-aliasing" %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
install -p -m 0755 lsof ${RPM_BUILD_ROOT}%{_prefix}/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -p lsof.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc 00*
%attr(0755,root,root) %{_sbindir}/lsof
%{_mandir}/man*/*


%changelog

